<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Банк фермеров'; // заголовок страницы
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
err();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<link rel='stylesheet' href='style.css' type='text/css' /><center>";
echo "<div class='grad32'><img src='fermer.gif'></div><div class='ferm3'><img src='12bank.gif'><br/><div class='grad16'>Банк</div></center>";
echo"<div class='ferm3'>";
if (isset($user)){
$action=htmlspecialchars(trim($_GET['action']));

switch ($action){

default:
echo 'Здравствуйте, '.$user['nick'].'! ';
echo '<br/>На ваших счетах имеется:<br/>';
echo 'Монеты: '.$user['balls'].'<br/>';
echo 'Деньги: '.$user['fermer_money'].'<br/>';
echo 'Курс обмена 1 к 100<br/>';
echo '<form action="bank.php?action=change" method="post">';
echo 'Сколько монет хотите обменять:<br/>';
echo '<input name="num" type="text" value=""/><br/>';
echo '<input type="submit" value="Обменять"/>';
echo '</form>';
echo '<a href="change.php"><img src="egg.png"> Перевод денег</a><br/>';
break;

case 'change':
$num=(int)$_POST['num'];
if(!$num || $num<1){echo 'Пустые параметры!';break;};
if($user['balls']<$num){echo 'У вас нет столько монет! <br><a href="bank.php"><img src="egg.png"> Вернуться в банк</a><br/>';break;};
$baks=$num*100;
mysql_query("UPDATE `user` SET `fermer_money`=`fermer_money`+'$baks',`balls`=`balls`-'$num' WHERE `id`='".$user['id']."'");
echo 'Обмен успешно завершен!';
echo '<br/><a href="bank.php"><img src="egg.png"> Вернуться в банк</a><br/>';
break;
};
echo "<div class='foot'>";
echo "<a href='my.php'><img src='egg.png'> На ферму</a><br/>";
echo "<a href='index.php'><img src='egg.png'> В игру</a><br/>";
echo "</div>";
}else{
echo '<div class="msg">Ферма доступна только для авторизованных пользователей!</div>';};
include_once '../sys/inc/tfoot.php';
?>

